function ihb_LoadSlice(hFigMain, hAxis, sliceInfo, rngArray, sliceIndex, axType, xLim, yLim)
%==================================================================================
% FORMAT 
% 
% hFigMain      - handle of the Main figure
% hAxis         - axis handle
% sliceInfo     - structure array of slice information (ihbdfl_ax_info etc)
% rngArray      - local range array
% sliceIndex    - index of slice to be load in the local range array rngArray
%                 (the same as index in popup menu)
% axType        - 'ax' 'fr' 'sl' 'sr' 
% xLim          - 1x2 vector of limit values for X direction
% yLim          - 1x2 vector of limit values for Y direction
%==================================================================================
%   10.04.01    Sergey Pakhomov
%==================================================================================
%----------------------------------------------------------------------------------
% Set application data for hAxis
%----------------------------------------------------------------------------------
setappdata(hAxis, 'sliceInfo', sliceInfo);
setappdata(hAxis, 'rngArray', rngArray);
setappdata(hAxis, 'sliceIndex', sliceIndex);
setappdata(hAxis, 'sliceDist', sliceInfo(rngArray(sliceIndex)).dist);
setappdata(hAxis, 'axType', axType);
setappdata(hAxis, 'xLim', xLim);
setappdata(hAxis, 'yLim', yLim);
ihb_RedrawSlice(hFigMain, hAxis);
